<?php
/**
 * The template part for Middle Header
 *
 * @package Christmas Holiday
 * @subpackage christmas-holiday
 * @since christmas-holiday 1.0
 */
?>

<?php if( get_theme_mod( 'christmas_holiday_topbar_hide_show', false) == 1) { ?>
  <div class="top-bar p-2">
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-12 text-lg-start text-md-start text-center align-self-center my-lg-0 my-md-4 my-0">
          <div class="row">
            <div class="col-lg-4 col-md-4 text-lg-start text-center align-self-center my-lg-0 my-md-0 my-4">
              <?php if(get_theme_mod('christmas_holiday_location_text') != ''){ ?>
                <span class="location"><i class="fas fa-map-marker-alt me-2"></i> <?php echo esc_html(get_theme_mod('christmas_holiday_location_text',''));?></span>
              <?php }?>
            </div>

            <div class="col-lg-3 col-md-3 text-lg-start text-center align-self-center mb-lg-0 mb-md-0 mb-4">
              <?php if( get_theme_mod('christmas_holiday_phone_number') != ''){ ?>
                <span class="phone-number"><i class="fas fa-phone me-2"></i> <a href="tel:<?php echo esc_attr( get_theme_mod('christmas_holiday_phone_number','') ); ?>"><?php echo esc_html(get_theme_mod('christmas_holiday_phone_number',''));?></a></span>
            <?php } ?>
            </div>

            <div class="col-lg-5 col-md-5 text-lg-start text-md-end text-center align-self-center mb-lg-0 mb-md-0 mb-3">
              <?php if(get_theme_mod('christmas_holiday_topbar_text') != ''){ ?>
                <span class="topbar-text mb-lg-0"><?php echo esc_html(get_theme_mod('christmas_holiday_topbar_text')); ?>
                   <a href="<?php echo esc_html(get_theme_mod('christmas_holiday_topbar_link',''));?>" ><?php esc_html_e('Grab Deals Now:','christmas-holiday');?></a></span>
                
              <?php }?>
            </div>

          </div>
        </div>
        
        <div class="col-lg-4 col-md-12 social-box text-lg-end text-md-center text-center align-self-center mb-lg-0 mb-md-2 mb-4">
          <div class="social-icons">
            <?php dynamic_sidebar('social-widget'); ?>
          </div>
        </div>
      </div>
    </div>
  </div>
<?php } ?>